diff contrib/whoisd/whoisd-cached.sh @ 1207:a461bd595421 draft

claimed n.ano for link shortener. some minor changes to whoisd and I guess pulled a new copy of marc.db.
author epochqwert <epoch@hacking.allowed.org>
date Sat, 07 Jul 2018 23:07:29 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/contrib/whoisd/whoisd-cached.sh	Sat Jul 07 23:07:29 2018 +0000
@@ -0,0 +1,7 @@
+#!/bin/sh
+cd /var/db/resdb
+commit=$(git log -1 | head -n1 | tr -cd 'a-f0-9')
+query=$(head -n1 | tr -cd 'a-zA-Z0-9.:_-')
+if ! cat "/var/cache/whois/${commit}-${query}" 2>/dev/null;then
+ printf "%s\n" "${query}" | /var/db/resdb/contrib/whoisd/whoisd.pl | tee "/var/cache/whois/${commit}-${query}"
+fi